package anim;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

public class CircleAnimPanel extends AnimatorPanel {
	private int X=10, Y=10;
	private int VX=10, VY=10;
	private int R=4;

	public void update() {
		Dimension d=getSize();
		X+=VX;Y+=VY;
		if(X<=R) {
			X=0; 
			VX=-VX;
		}
		if((X+R)>=d.width) {
			X=d.width-R-1;
			VX=-VX;
		}
		if(Y<=R) {
			Y=0;
			VY=-VY;
		}
		if((Y+R)>=d.height) {
			Y=d.height-R-1;
			VY=-VY;
		}
		repaint();
	}

	public void paint(Graphics g) {
		super.paint(g);
		g.setColor(new Color(255,128,128));
		g.fillOval(X, Y, R, R);
	}
}
