package animtest;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;

import anim.CircleAnimPanel;

public class AnimTest {
	
	public static void createAndShowGUI() {
		final JButton mPaPl=new JButton("Pause");
		JFrame mFrame=new JFrame("Animation Test");
		final CircleAnimPanel mCA=new CircleAnimPanel();
		mFrame.setSize(240,200);
		mFrame.add(mPaPl,BorderLayout.NORTH);
		mFrame.add(mCA,BorderLayout.CENTER);
		mPaPl.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent Ev) {
				if(Ev.getSource()==mPaPl) {
					if(mPaPl.getText().equals("Pause")) {
						mCA.PauseMe();
						mPaPl.setText("Play");
					} else if(mPaPl.getText().equals("Play")) {
						mCA.UnPauseMe();
						mPaPl.setText("Pause");
					}  
				}
			}
			
		});
		mFrame.setVisible(true);
	}
	
	public static void main(String []args) {
		createAndShowGUI();
	}
}
