package crdpbar;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

public class CardPBarTest  {
       
	private static int progress=0;
	
    private static void createAndShowGUI() {
        final JFrame frame = new JFrame("Progress Bar Test");
        
        final CardLayout cl=new CardLayout();
               
        final JPanel cards = new JPanel();
        JPanel card1 = new JPanel();
        JPanel card2 = new JPanel();
        
        JLabel prg=new JLabel("Progress");
        final JProgressBar bar=new JProgressBar(0,100);
        final JButton jb=new JButton("Decrypt");
        
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        card1.add(prg);
        card1.add(bar);
        card1.add(jb);

        card2.add(new JLabel("Decrypted password is honeypot"));

        cards.setLayout(cl);
        cards.add(card1,"Initial");
        cards.add(card2,"Final");
        
        frame.add(cards,BorderLayout.CENTER);
        
        jb.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent ae) {
				if(ae.getSource()==jb) {
						Thread myThread=new Thread(new Runnable() {
							public void run() {
								int i=1;
								for(;i<101;++i) {
									bar.setValue(i);
									try {
										Thread.sleep(400);
									} catch (InterruptedException e) {
										continue;
									}
								}
								cl.show(cards,"Final");
							}
						}
						);
						myThread.start();
				}
			}
        });
            
        frame.pack();
        
        frame.setVisible(true);
    }
    
    public static void main(String[] args) {       
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                createAndShowGUI();
            }
        });
    }
}
