package form;

import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPasswordField;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class FormTest {

	private static boolean validateFDis(String dis) {
		char c1=dis.charAt(0),c2=dis.charAt(1);
		if(c1=='A'||c1=='P') {
			if(c2>='1'&&c2<='8') return true;
		} else if(c1=='B'||c1=='S') {
			if(c2>='1'&&c2<='5') return true;
		} else if(c1=='C'||c1=='T'||c1=='D') {
			if(c2=='2'||(c2>='5'&&c2<='7')) return true;
		} 
		return false;
	}
	
	private static boolean validateID(String id) {
		String year,d1,d2,lastthr;
		if(id.length()!=11) return false;
		year=id.substring(0,4);
		d1=id.substring(4,6);
		d2=id.substring(6,8);
		lastthr=id.substring(8,11);
		try {
			Integer.parseInt(year);
			Integer.parseInt(lastthr);
		} catch (NumberFormatException ne) {
			return false;
		}
		if(d1.equals("H1")||d1.equals("HS")||d2.equals("K1")||d1.equals("KS")) {
			return true; //validateHDis(d2);
		} else if(d1.equals("PH")) {
			return true; //validatePDis(d2);
		} else if(d2.equals("PS")||d2.equals("TS")) {
			return validateFDis(d1);
		}
		return validateFDis(d2)&&validateFDis(d1);
	}
	
	private static void createAndShowGUI() {
		JFrame frame=new JFrame("Student Form");
		JLabel lname=new JLabel("Name");
		final JTextField name=new JTextField(11);
		JLabel lid=new JLabel("ID No");
		final JTextField id=new JTextField(11);
		JLabel lpass=new JLabel("Password");
		final JPasswordField pass=new JPasswordField(9);
		
		JLabel lsex=new JLabel("Sex");
	    final JRadioButton male = new JRadioButton("Male");
	    final JRadioButton female = new JRadioButton("Female");
	    final JCheckBox ds=new JCheckBox("DaySci");
	    final JCheckBox extschol=new JCheckBox("Ext. Schol");
	    final JButton sub=new JButton("Submit");
	    
	    final ButtonGroup bsex=new ButtonGroup();
	    bsex.add(male);
	    bsex.add(female);
	    
	    ActionListener mOnSub=new ActionListener() {

			public void actionPerformed(ActionEvent ae) {
				if(ae.getSource()==sub) {
					String sname=name.getText();
					String sid=id.getText();
					String spass=new String(pass.getPassword());
					boolean bmale=false;
					boolean bds=ds.isSelected();
					boolean bextschol=extschol.isSelected();
					if(sname.equals("")) {
						JOptionPane.showMessageDialog(null,"Invalid Name","Error",JOptionPane.ERROR_MESSAGE);
						return;
					}
					if(!validateID(sid)) {
						JOptionPane.showMessageDialog(null,"Invalid ID","Error",JOptionPane.ERROR_MESSAGE);
						return;
					}
					if(spass.equals("")) {
						JOptionPane.showMessageDialog(null,"No Password. Services Disabled","Information",JOptionPane.INFORMATION_MESSAGE);
					}
					if(bsex.getSelection()==null) {
						JOptionPane.showMessageDialog(null,"Invalid Sex","Error",JOptionPane.ERROR_MESSAGE);
						return;	
					} else if(bsex.getSelection()==male) {
						bmale=true;
					}
					
					System.out.print("Name: "+sname+" ID: "+sid+" Pass: "+spass);
					if(bmale) System.out.print(" Sex: Male");
					else System.out.print(" Sex: Female");
					if(bds) System.out.print(" Dayscholar");
					if(bextschol) System.out.print(" External Scholarship");
					System.out.println();
				}
			}
	    	
	    };

	    frame.setSize(200,200);
	    frame.setLayout(new FlowLayout());
	    
		frame.add(lname);
		lname.setSize(40,20);		
		frame.add(name);
		name.setSize(100,20);
		
		frame.add(lid);
		lid.setSize(40,20);		
		frame.add(id);
		id.setSize(100,20);
		
		frame.add(lpass);
		lpass.setSize(40,20);		
		frame.add(pass);
		id.setSize(100,20);
		
		frame.add(lsex);
		lsex.setSize(40,20);		
		frame.add(male);
		male.setSize(40,20);		
		frame.add(female);
		female.setSize(40,20);

		frame.add(ds);
		ds.setSize(60,20);
		frame.add(extschol);
		extschol.setSize(60,20);

		sub.addActionListener(mOnSub);
		frame.add(sub);
		sub.setSize(100,20);

		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
		
	}
	
	public static void main(String []args) {
		createAndShowGUI();
	}
}
